ics-ans-role-tinyproxy
======================

Ansible role to install ics-ans-role-tinyproxy.
Tinyproxy can proxy both HTTP and HTTPS (ssl) traffic.
Note that the CONNECT based tunnel is used SSL traffic and uses a domain
blacklist or whitelist to filter destinations.
HTTP traffic can be filtered at the url level and suports regex expressions.

Requirements
------------

- ansible >= 2.3
- molecule >= 2.0

Role Variables
----------

Modify defaults/main.yml
```yaml
#LogLevel to configure
tinyproxy_log_level: [default: Info]

#Limit number of clients connected to Tinyproxy simultaneously
tinyproxy_maxclients: [default: 100]

#Minimum number of processes waiting for new users
tinyproxy_minspare_servers: [default: 5]

#Maximum number of processes waiting for users
tinyproxy_maxspare_servers: [default: 10]

#Number of childs to start at begining
tinyproxy_startservers: [default: 10]

#Limit number of requests per client
tinyproxy_maxrequest: [default: 0]

#Define a list of subnets that are allowed to use proxy
tinyproxy_allowed_subnet:

#Deny access from a list of subnet
tinyproxy_denied_subnet: [default: None]

#IP address to bind to
tinyproxy_listen_address: [default: 0.0.0.0]

#Port for tinyproxy to listen on
tinyproxy_port: [default: 8888]

#Define a list of urls (http) and domains (https) that clients can access (whitelist)
tinyproxy_urls: []

#Enable upstream proxy
tinyproxy_upstream: false

#Provide list of upstream proxies
tinyproxy_upstream_proxies: []
 - address:
   port:
   url:

#Enable or disable URL Filtering rules
tinyproxy_filter: true

#Setup Tinyproxy filtering rules
tinyproxy_filtering:
  filter: "/etc/tinyproxy/filter"
  urls: On
  extended: On
  #If set to Off, then the tinyproxy_url list becomes a blacklist (clients can not access)
  default_deny: On
  case_sensitive: Off

```

Example playbook
----------------

```yaml
- hosts: servers
  roles:
    - role: ics-ans-role-dns
```

License
-------

BSD 2-clause
