import os
import testinfra.utils.ansible_runner
import testinfra

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_tinyproxy_is_installed(host):
    tinyproxy = host.package("tinyproxy")
    assert tinyproxy.is_installed


def test_tinyproxy_running_and_enabled(host):
    tinyproxy = host.service("tinyproxy.service")
    assert tinyproxy.is_running
    assert tinyproxy.is_enabled


def test_tinyproxy_config(host):
    proxy_conf = host.file('/etc/tinyproxy/tinyproxy.conf').content_string
    assert 'Upstream none ".tn.esss.lu.se"' in proxy_conf
    assert 'Upstream http proxy.com:8080  "local.domain"' in proxy_conf
